cdac.medinfo.sdk.hl7282.baselibs.segments

## Class DON

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.DON

- All Implemented Interfaces:
    ISegment

      public class DON
      extends Segment

  DON - Donation Segment

  This segment is to describe the actual donation procedure.

  Represents an HL7 DON Donation Segment. This segment has the following fields:

  DON-1: Donation Identification Number (EI)Conditional
  DON-2: Donation Type (CNE)Conditional
  DON-3: Phlebotomy Start Date Time (DTM)Required
  DON-4: Phlebotomy End Date Time (DTM)Required
  DON-5: Donation Duration (NM)Required
  DON-6: Donation Duration Units (CNE)Required
  DON-7: Intended Procedure Type (CNE)Required
  DON-8: Actual Procedure Type (CNE)Required
  DON-9: Donor Eligibility Flag (ID)Required
  DON-10: Donor Eligibility Procedure Type (CNE)Required
  DON-11: Donor Eligibility Date (DTM)Required
  DON-12: Process Interruption (CNE)Required
  DON-13: Process Interruption Reason (CNE)Required
  DON-14: Phlebotomy Issue (CNE)Required
  DON-15: Intended Recipient Blood Relative (ID)Required
  DON-16: Intended Recipient Name (XPN)Required
  DON-17: Intended Recipient DOB (DTM)Required
  DON-18: Intended Recipient Facility (XON)Required
  DON-19: Intended Recipient Procedure Date (DTM)Required
  DON-20: Intended Recipient Ordering Provider (XPN)Required
  DON-21: Phlebotomy Status (CNE)Required
  DON-22: Arm Stick (CNE)Required
  DON-23: Bleed Start Phlebotomist (XPN)Required
  DON-24: Bleed End Phlebotomist (XPN)Required
  DON-25: Aphaeresis Type Machine (ST)Required
  DON-26: Aphaeresis Machine Serial Number (ST)Required
  DON-27: Donor Reaction (ID)Required
  DON-28: Final Review Staff ID (XPN)Required
  DON-29: Final Review Date Time (DTM)Required
  DON-30: Number of Tubes Collected (NM)Required
  DON-31: Donation Sample Identifier (EI)Required
  DON-32: Donation Accept Staff (XCN)Required
  DON-33: Donation Material Review Staff (XCN)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DON()` Constructs the BHS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActualProcedureType(CNE objActualProcedureType)` Add the Actual Procedure Type.
    `void` | `addActualProcedureType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Actual Procedure Type.
    `void` | `addDonationMaterialReviewStaff(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Donation Material Review Staff.
    `void` | `addDonationMaterialReviewStaff(XCN objDonationMaterialReviewStaff)` Add the Donation Material Review Staff.
    `void` | `addDonationSampleIdentifier(EI objDonationSampleIdentifier)` Add the Donation Sample Identifier.
    `void` | `addDonationSampleIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Donation Sample Identifier.
    `void` | `addDonorEligibilityProcedureType(CNE objDonorEligibilityProcedureType)` Add the Donor Eligibility Procedure Type.
    `void` | `addDonorEligibilityProcedureType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Donor Eligibility Procedure Type.
    `void` | `addIntendedProcedureType(CNE objIntendedProcedureType)` Add the Intended Procedure Type.
    `void` | `addIntendedProcedureType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Intended Procedure Type.
    `void` | `addPhlebotomyIssue(CNE objPhlebotomyIssue)` Add the Phlebotomy Issue.
    `void` | `addPhlebotomyIssue(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Phlebotomy Issue.
    `ISingleCollection<CNE>` | `getActualProcedureType()` Retrieves the Actual Procedure Type.
    `ST` | `getAphaeresisMachineSerialNumber()` Retrieves the Aphaeresis Machine Serial Number.
    `ST` | `getAphaeresisTypeMachine()` Retrieves the Aphaeresis Type Machine.
    `CNE` | `getArmStick()` Retrieves the Arm Stick.
    `XPN` | `getBleedEndPhlebotomist()` Retrieves the Bleed End Phlebotomist.
    `XPN` | `getBleedStartPhlebotomist()` Retrieves the Bleed Start Phlebotomist.
    `XCN` | `getDonationAcceptStaff()` Retrieves the Donation Accept Staff.
    `NM` | `getDonationDuration()` Retrieves the Donation Duration.
    `CNE` | `getDonationDurationUnits()` Set the Donation Duration Units.
    `EI` | `getDonationIdentificationNumber()` Retrieves the Donation Identification Number.
    `ISingleCollection<XCN>` | `getDonationMaterialReviewStaff()` Retrieves the Donation Material Review Staff.
    `ISingleCollection<EI>` | `getDonationSampleIdentifier()` Retrieves the Donation Sample Identifier.
    `CNE` | `getDonationType()` Retrieves the Donation Type.
    `DTM` | `getDonorEligibilityDate()` Retrieves the Donor Eligibility Date.
    `ID` | `getDonorEligibilityFlag()` Retrieves the Donor Eligibility Flag.
    `ISingleCollection<CNE>` | `getDonorEligibilityProcedureType()` Retrieves the Donor Eligibility Procedure Type.
    `ID` | `getDonorReaction()` Retrieves the Donor Reaction.
    `DTM` | `getFinalReviewDateTime()` Retrieves the Final Review Date Time.
    `XPN` | `getFinalReviewStaffID()` Retrieves the Final Review Staff ID.
    `ISingleCollection<CNE>` | `getIntendedProcedureType()` Retrieves the Intended Procedure Type.
    `ID` | `getIntendedRecipientBloodRelative()` Retrieves the Intended Recipient Blood Relative.
    `DTM` | `getIntendedRecipientDOB()` Retrieves the Intended Recipient DOB.
    `XON` | `getIntendedRecipientFacility()` Retrieves the Intended Recipient Facility.
    `XPN` | `getIntendedRecipientName()` Retrieves the Intended Recipient Name.
    `XPN` | `getIntendedRecipientOrderingProvider()` Retrieves the Intended Recipient Ordering Provider.
    `DTM` | `getIntendedRecipientProcedureDate()` Retrieves the Intended Recipient Procedure Date.
    `NM` | `getNumberofTubesCollected()` Retrieves the Number of Tubes Collected.
    `ISingleCollection<XCN>` | `getParticipationPerson()` Retrieves the Participation Person.
    `DTM` | `getPhlebotomyEndDateTime()` Retrieves the Phlebotomy End Date Time.
    `ISingleCollection<CNE>` | `getPhlebotomyIssue()` Retrieves the Phlebotomy Issue.
    `DTM` | `getPhlebotomyStartDateTime()` Retrieves the Phlebotomy Start Date Time.
    `CNE` | `getPhlebotomyStatus()` Retrieves the Phlebotomy Status.
    `CNE` | `getProcessInterruption()` Retrieves the Process Interruption.
    `CNE` | `getProcessInterruptionReason()` Retrieves the Process Interruption Reason.
    `void` | `setActualProcedureType(ISingleCollection<CNE> objActualProcedureTypeList)` Set the Actual Procedure Type.
    `void` | `setAphaeresisMachineSerialNumber(ST objAphaeresisMachineSerialNumber)` Set the Aphaeresis Machine Serial Number.
    `void` | `setAphaeresisMachineSerialNumber(java.lang.String strAphaeresisMachineSerialNumber)` Set the Aphaeresis Machine Serial Number.
    `void` | `setAphaeresisTypeMachine(ST objAphaeresisTypeMachine)` Set the Aphaeresis Type Machine.
    `void` | `setArmStick(CNE objArmStick)` Set the Arm Stick.
    `void` | `setArmStick(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Arm Stick.
    `void` | `setBleedEndPhlebotomist(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Bleed End Phlebotomist.
    `void` | `setBleedEndPhlebotomist(XPN objBleedEndPhlebotomist)` Set the Bleed End Phlebotomist.
    `void` | `setBleedStartPhlebotomist(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Bleed Start Phlebotomist.
    `void` | `setBleedStartPhlebotomist(XPN objBleedStartPhlebotomist)` Set the Bleed Start Phlebotomist.
    `void` | `setContinuationPointer(java.lang.String strAphaeresisTypeMachine)` Set the Aphaeresis Type Machine.
    `void` | `setDonationAcceptStaff(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Donation Accept Staff.
    `void` | `setDonationAcceptStaff(XCN objPerformingOrganizationMedicalDirector)` Set the Donation Accept Staff.
    `void` | `setDonationDuration(NM objDonationDuration)` Set the Number of Donation Duration.
    `void` | `setDonationDuration(java.lang.String strDonationDuration)` Set the Number of Donation Duration.
    `void` | `setDonationDurationUnits(CNE objDonationDurationUnits)` Set the Donation Duration Units.
    `void` | `setDonationDurationUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Donation Duration Units.
    `void` | `setDonationIdentificationNumber(EI objDonationIdentificationNumber)` Set the Donation Identification Number.
    `void` | `setDonationIdentificationNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Donation Identification Number.
    `void` | `setDonationMaterialReviewStaff(ISingleCollection<XCN> objParticipationPersonList)` Set the Donation Material Review Staff.
    `void` | `setDonationSampleIdentifier(ISingleCollection<EI> objDonationSampleIdentifierList)` Set the Donation Sample Identifier.
    `void` | `setDonationType(CNE objDonationType)` Set the Donation Type.
    `void` | `setDonationType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Donation Type.
    `void` | `setDonorEligibilityDate(DTM objDonorEligibilityDate)` Set the Donor Eligibility Date.
    `void` | `setDonorEligibilityDate(java.lang.String strTime)` Set the Donor Eligibility Date.
    `void` | `setDonorEligibilityFlag(ID objDonorEligibilityFlag)` Set the Donor Eligibility Flag.
    `void` | `setDonorEligibilityFlag(java.lang.String strDonorEligibilityFlag)` Set the Donor Eligibility Flag.
    `void` | `setDonorEligibilityProcedureType(ISingleCollection<CNE> objDonorEligibilityProcedureTypeList)` Set the Donor Eligibility Procedure Type.
    `void` | `setDonorReaction(ID objDonorReaction)` Set the Donor Reaction.
    `void` | `setDonorReaction(java.lang.String strDonorReaction)` Set the Donor Reaction.
    `void` | `setFinalReviewDateTime(DTM objFinalReviewDateTime)` Set the Final Review Date Time.
    `void` | `setFinalReviewDateTime(java.lang.String strTime)` Set the Final Review Date Time.
    `void` | `setFinalReviewStaffID(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Final Review Staff ID.
    `void` | `setFinalReviewStaffID(XPN objIntendedRecipientOrderingProvider)` Set the Final Review Staff ID.
    `void` | `setIntendedProcedureType(ISingleCollection<CNE> objIntendedProcedureTypeList)` Set the Intended Procedure Type.
    `void` | `setIntendedRecipientBloodRelative(ID objIntendedRecipientBloodRelative)` Set the Intended Recipient Blood Relative.
    `void` | `setIntendedRecipientBloodRelative(java.lang.String strIntendedRecipientBloodRelative)` Set the Intended Recipient Blood Relative.
    `void` | `setIntendedRecipientDOB(DTM objIntendedRecipientDOB)` Set the Intended Recipient DOB.
    `void` | `setIntendedRecipientDOB(java.lang.String strTime)` Set the Intended Recipient DOB.
    `void` | `setIntendedRecipientFacility(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Intended Recipient Facility.
    `void` | `setIntendedRecipientFacility(XON objIntendedRecipientFacility)` Set the Intended Recipient Facility.
    `void` | `setIntendedRecipientName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Intended Recipient Name.
    `void` | `setIntendedRecipientName(XPN objIntendedRecipientName)` Set the Intended Recipient Name.
    `void` | `setIntendedRecipientOrderingProvider(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Intended Recipient Ordering Provider.
    `void` | `setIntendedRecipientOrderingProvider(XPN objIntendedRecipientOrderingProvider)` Set the Intended Recipient Ordering Provider.
    `void` | `setIntendedRecipientProcedureDate(DTM objIntendedRecipientProcedureDate)` Set the Intended Recipient Procedure Date.
    `void` | `setIntendedRecipientProcedureDate(java.lang.String strTime)` Set the Intended Recipient Procedure Date.
    `void` | `setNumberofTubesCollected(NM objNumberofTubesCollected)` Set the Number of Tubes Collected.
    `void` | `setNumberofTubesCollected(java.lang.String strDonationDuration)` Set the Number of Tubes Collected.
    `void` | `setPhlebotomyEndDateTime(DTM objPhlebotomyEndDateTime)` Set the Phlebotomy End Date Time.
    `void` | `setPhlebotomyEndDateTime(java.lang.String strTime)` Set the Phlebotomy End Date Time.
    `void` | `setPhlebotomyIssue(ISingleCollection<CNE> objPhlebotomyIssueList)` Set the Phlebotomy Issue.
    `void` | `setPhlebotomyStartDateTime(DTM objPhlebotomyStartDateTime)` Set the Phlebotomy Start Date Time.
    `void` | `setPhlebotomyStartDateTime(java.lang.String strTime)` Set the Phlebotomy Start Date Time.
    `void` | `setPhlebotomyStatus(CNE objPhlebotomyStatus)` Set the Phlebotomy Status.
    `void` | `setPhlebotomyStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Phlebotomy Status.
    `void` | `setProcessInterruption(CNE objProcessInterruption)` Set the Process Interruption.
    `void` | `setProcessInterruption(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Process Interruption.
    `void` | `setProcessInterruptionReason(CNE objProcessInterruptionReason)` Set the Process Interruption Reason.
    `void` | `setProcessInterruptionReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Process Interruption Reason.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DON

          public DON()

      Constructs the BHS segment.

  - ### Method Detail

    - #### getDonationIdentificationNumber

          public EI getDonationIdentificationNumber()

      Retrieves the Donation Identification Number. This field contains a unique identifier, Donation Identification Number (DIN), for the specific donation and is therefore mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated.
      Returns:
        EI - donationIdentificationNumber in object form.

    - #### setDonationIdentificationNumber

          public void setDonationIdentificationNumber(java.lang.String strEntityIdentifier,
                                             java.lang.String strNamespaceId,
                                             java.lang.String strUniversalId,
                                             java.lang.String strUniversalIdType)

      Set the Donation Identification Number. This field contains a unique identifier, Donation Identification Number (DIN), for the specific donation and is therefore mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setDonationIdentificationNumber

          public void setDonationIdentificationNumber(EI objDonationIdentificationNumber)

      Set the Donation Identification Number. This field contains a unique identifier, Donation Identification Number (DIN), for the specific donation and is therefore mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated.
      Parameters:
        `objDonationIdentificationNumber` - Object of Donation Identification Number.

    - #### getDonationType

          public CNE getDonationType()

      Retrieves the Donation Type. The type of donation. This element is mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated
      Returns:
        CNE - DonationType

    - #### setDonationType

          public void setDonationType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionID,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameOfSecondAltenateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Donation Type. The type of donation. This element is mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDonationType

          public void setDonationType(CNE objDonationType)

      Set the Donation Type. The type of donation. This element is mandatory except when using an eligibility message type in which only DON-9, DON-10, and DON-11 are populated
      Parameters:
        `objDonationType` - Object of Donation Type.

    - #### getPhlebotomyStartDateTime

          public DTM getPhlebotomyStartDateTime()

      Retrieves the Phlebotomy Start Date Time. The start date and time of the phlebotomy.
      Returns:
        DTM - phlebotomyStartDateTime

    - #### setPhlebotomyStartDateTime

          public void setPhlebotomyStartDateTime(java.lang.String strTime)

      Set the Phlebotomy Start Date Time. The start date and time of the phlebotomy.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setPhlebotomyStartDateTime

          public void setPhlebotomyStartDateTime(DTM objPhlebotomyStartDateTime)

      Set the Phlebotomy Start Date Time. The start date and time of the phlebotomy.
      Parameters:
        `objPhlebotomyStartDateTime` - Object of Results Rpt Status Chng Date Time.

    - #### getPhlebotomyEndDateTime

          public DTM getPhlebotomyEndDateTime()

      Retrieves the Phlebotomy End Date Time. The end date and time of the phlebotomy.
      Returns:
        DTM - phlebotomyEndDateTime

    - #### setPhlebotomyEndDateTime

          public void setPhlebotomyEndDateTime(java.lang.String strTime)

      Set the Phlebotomy End Date Time. The end date and time of the phlebotomy.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setPhlebotomyEndDateTime

          public void setPhlebotomyEndDateTime(DTM objPhlebotomyEndDateTime)

      Set the Phlebotomy End Date Time. The end date and time of the phlebotomy.
      Parameters:
        `objPhlebotomyEndDateTime` - Object of Phlebotomy End Date Time.

    - #### getDonationDuration

          public NM getDonationDuration()

      Retrieves the Donation Duration. The duration of the phlebotomy or the length of time that elapsed between the phlebotomy start date and time and the phlebotomy end date and time.
      Returns:
        NM - donationDuration

    - #### setDonationDuration

          public void setDonationDuration(java.lang.String strDonationDuration)

      Set the Number of Donation Duration. The duration of the phlebotomy or the length of time that elapsed between the phlebotomy start date and time and the phlebotomy end date and time.
      Parameters:
        `strDonationDuration` - Specifies Donation Duration..

    - #### setDonationDuration

          public void setDonationDuration(NM objDonationDuration)

      Set the Number of Donation Duration. The duration of the phlebotomy or the length of time that elapsed between the phlebotomy start date and time and the phlebotomy end date and time.
      Parameters:
        `objDonationDuration` - Object of Donation Duration.

    - #### getDonationDurationUnits

          public CNE getDonationDurationUnits()

      Set the Donation Duration Units. The duration units. The duration units and duration are restricted to minutes and seconds.
      Returns:
        CNE - DonationDurationUnits

    - #### setDonationDurationUnits

          public void setDonationDurationUnits(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Donation Duration Units. The duration units. The duration units and duration are restricted to minutes and seconds.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setDonationDurationUnits

          public void setDonationDurationUnits(CNE objDonationDurationUnits)

      Set the Donation Duration Units. The duration units. The duration units and duration are restricted to minutes and seconds.
      Parameters:
        `objDonationDurationUnits` - Object of Donation Duration Units.

    - #### getIntendedProcedureType

          public ISingleCollection<CNE> getIntendedProcedureType()

      Retrieves the Intended Procedure Type. The procedure(s) intended to be performed on the donor.
      Returns:
        ISingleCollection - intendedProcedureType

    - #### addIntendedProcedureType

          public void addIntendedProcedureType(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionID,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameOfSecondAltenateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Intended Procedure Type. The procedure(s) intended to be performed on the donor.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addIntendedProcedureType

          public void addIntendedProcedureType(CNE objIntendedProcedureType)

      Add the Intended Procedure Type. The procedure(s) intended to be performed on the donor.
      Parameters:
        `objIntendedProcedureType` - Object ofIntended Procedure Type.

    - #### setIntendedProcedureType

          public void setIntendedProcedureType(ISingleCollection<CNE> objIntendedProcedureTypeList)

      Set the Intended Procedure Type. The procedure(s) intended to be performed on the donor.
      Parameters:
        `objIntendedProcedureTypeList` - List of Intended Procedure Type.

    - #### getActualProcedureType

          public ISingleCollection<CNE> getActualProcedureType()

      Retrieves the Actual Procedure Type. The actual procedure(s) performed on the donor.
      Returns:
        ISingleCollection - actualProcedureType

    - #### addActualProcedureType

          public void addActualProcedureType(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionID,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameOfSecondAltenateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Actual Procedure Type. The actual procedure(s) performed on the donor.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addActualProcedureType

          public void addActualProcedureType(CNE objActualProcedureType)

      Add the Actual Procedure Type. The actual procedure(s) performed on the donor.
      Parameters:
        `objActulalProcedureType` - Object of Actual Procedure Type.

    - #### setActualProcedureType

          public void setActualProcedureType(ISingleCollection<CNE> objActualProcedureTypeList)

      Set the Actual Procedure Type. The actual procedure(s) performed on the donor.
      Parameters:
        `objActualProcedureTypeList` - List of Actual Procedure Type.

    - #### getDonorEligibilityFlag

          public ID getDonorEligibilityFlag()

      Retrieves the Donor Eligibility Flag. This field indicates Is the Donor eligible for donation? Yes or No
      Returns:
        String - donorEligibilityFlag

    - #### setDonorEligibilityFlag

          public void setDonorEligibilityFlag(java.lang.String strDonorEligibilityFlag)

      Set the Donor Eligibility Flag. This field indicates Is the Donor eligible for donation? Yes or No
      Parameters:
        `strDonorEligibilityFlag` - Used for Donor Eligibility Flag.

    - #### setDonorEligibilityFlag

          public void setDonorEligibilityFlag(ID objDonorEligibilityFlag)

      Set the Donor Eligibility Flag. This field indicates Is the Donor eligible for donation? Yes or No
      Parameters:
        `objDonorEligibilityFlag` - object of Donor Eligibility Flag.

    - #### getDonorEligibilityProcedureType

          public ISingleCollection<CNE> getDonorEligibilityProcedureType()

      Retrieves the Donor Eligibility Procedure Type. The procedure(s) for which the donor is eligible.
      Returns:
        ISingleCollection - DonorEligibilityProcedureType

    - #### addDonorEligibilityProcedureType

          public void addDonorEligibilityProcedureType(java.lang.String strIdentifier,
                                              java.lang.String strText,
                                              java.lang.String strNameOfCodingSystem,
                                              java.lang.String strAlternateIdentifier,
                                              java.lang.String strAlternateText,
                                              java.lang.String strNameOfAlternateCodingSystem,
                                              java.lang.String strCodingSystemVersionID,
                                              java.lang.String strAlternateCodingSystemVersionID,
                                              java.lang.String strOriginalText,
                                              java.lang.String strSecondAlternateIdentifier,
                                              java.lang.String strSecondAlternateText,
                                              java.lang.String strNameOfSecondAltenateCodingSystem,
                                              java.lang.String strSecondAlternateCodingSystemVersionID,
                                              java.lang.String strCodingSystemOID,
                                              java.lang.String strValueSetOID,
                                              java.lang.String strValueSetVersionID,
                                              java.lang.String strAlternateCodingSystemOID,
                                              java.lang.String strAlternateValueSetOID,
                                              java.lang.String strAlternateValueSetVersionID,
                                              java.lang.String strSecondAlternateCodingSystemOID,
                                              java.lang.String strSecondAlternateValueSetOID,
                                              java.lang.String strSecondAlternateValueSetVersionID)

      Add the Donor Eligibility Procedure Type. The procedure(s) for which the donor is eligible.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addDonorEligibilityProcedureType

          public void addDonorEligibilityProcedureType(CNE objDonorEligibilityProcedureType)

      Add the Donor Eligibility Procedure Type. The procedure(s) for which the donor is eligible.
      Parameters:
        `objDonorEligibilityProcedureType` - Object of Donor Eligibility Procedure Type.

    - #### setDonorEligibilityProcedureType

          public void setDonorEligibilityProcedureType(ISingleCollection<CNE> objDonorEligibilityProcedureTypeList)

      Set the Donor Eligibility Procedure Type. The procedure(s) for which the donor is eligible.
      Parameters:
        `objDonorEligibilityProcedureTypeList` - List of Actual Procedure Type.

    - #### getDonorEligibilityDate

          public DTM getDonorEligibilityDate()

      Retrieves the Donor Eligibility Date. The date and time on which the donor is eligible to donate.
      Returns:
        DTM - DonorEligibilityDate

    - #### setDonorEligibilityDate

          public void setDonorEligibilityDate(java.lang.String strTime)

      Set the Donor Eligibility Date. The date and time on which the donor is eligible to donate.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDonorEligibilityDate

          public void setDonorEligibilityDate(DTM objDonorEligibilityDate)

      Set the Donor Eligibility Date. The date and time on which the donor is eligible to donate.
      Parameters:
        `objDonorEligibilityDate` - Object of Donor Eligibility Date.

    - #### getProcessInterruption

          public CNE getProcessInterruption()

      Retrieves the Process Interruption. Was the donation process interrupted after it began?
      Returns:
        CNE - ProcessInterruption

    - #### setProcessInterruption

          public void setProcessInterruption(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionID,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameOfSecondAltenateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Process Interruption. Was the donation process interrupted after it began?
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcessInterruption

          public void setProcessInterruption(CNE objProcessInterruption)

      Set the Process Interruption. Was the donation process interrupted after it began?
      Parameters:
        `objProcessInterruption` - Object of Process Interruption.

    - #### getProcessInterruptionReason

          public CNE getProcessInterruptionReason()

      Retrieves the Process Interruption Reason. Reason that the donation process was interrupted.
      Returns:
        CNE - ProcessInterruptionReason

    - #### setProcessInterruptionReason

          public void setProcessInterruptionReason(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionID,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameOfSecondAltenateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Process Interruption Reason. Reason that the donation process was interrupted.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setProcessInterruptionReason

          public void setProcessInterruptionReason(CNE objProcessInterruptionReason)

      Set the Process Interruption Reason. Reason that the donation process was interrupted.
      Parameters:
        `objProcessInterruption` - Object of Process Interruption Reason.

    - #### getPhlebotomyIssue

          public ISingleCollection<CNE> getPhlebotomyIssue()

      Retrieves the Phlebotomy Issue. Indicates whether there is a problem or issue with the phlebotomy itself.
      Returns:
        ISingleCollection - PhlebotomyIssue

    - #### addPhlebotomyIssue

          public void addPhlebotomyIssue(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionID,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameOfSecondAltenateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Add the Phlebotomy Issue. Indicates whether there is a problem or issue with the phlebotomy itself.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### addPhlebotomyIssue

          public void addPhlebotomyIssue(CNE objPhlebotomyIssue)

      Add the Phlebotomy Issue. Indicates whether there is a problem or issue with the phlebotomy itself.
      Parameters:
        `objPhlebotomyIssue` - Object of Phlebotomy Issue.

    - #### setPhlebotomyIssue

          public void setPhlebotomyIssue(ISingleCollection<CNE> objPhlebotomyIssueList)

      Set the Phlebotomy Issue. Indicates whether there is a problem or issue with the phlebotomy itself.
      Parameters:
        `objPhlebotomyIssueList` - List of Phlebotomy Issue.

    - #### getIntendedRecipientBloodRelative

          public ID getIntendedRecipientBloodRelative()

      Retrieves the Intended Recipient Blood Relative. If this donation has an intended recipient (directed, dedicated, designated), is the intended recipient a blood relative of the donor? Yes or No.
      Returns:
        String - IntendedRecipientBloodRelative

    - #### setIntendedRecipientBloodRelative

          public void setIntendedRecipientBloodRelative(java.lang.String strIntendedRecipientBloodRelative)

      Set the Intended Recipient Blood Relative. If this donation has an intended recipient (directed, dedicated, designated), is the intended recipient a blood relative of the donor? Yes or No.
      Parameters:
        `strIntendedRecipientBloodRelative` - Used for Intended Recipient Blood Relative.

    - #### setIntendedRecipientBloodRelative

          public void setIntendedRecipientBloodRelative(ID objIntendedRecipientBloodRelative)

      Set the Intended Recipient Blood Relative. If this donation has an intended recipient (directed, dedicated, designated), is the intended recipient a blood relative of the donor? Yes or No.
      Parameters:
        `objIntendedRecipientBloodRelative` - object of Intended Recipient Blood Relative.

    - #### getIntendedRecipientName

          public XPN getIntendedRecipientName()

      Retrieves the Intended Recipient Name. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s name.
      Returns:
        XPN - IntendedRecipientName

    - #### setIntendedRecipientName

          public void setIntendedRecipientName(FN objFamilyName,
                                      java.lang.String strGivenName,
                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                      java.lang.String strSuffix,
                                      java.lang.String strPrefix,
                                      java.lang.String strNameTypeCode,
                                      java.lang.String strNameRepresentationCode,
                                      CWE objNameContext,
                                      java.lang.String strNameAssemblyOrder,
                                      DTM objEffectiveDate,
                                      DTM objExpirationDate,
                                      java.lang.String strProfessionalSuffix,
                                      java.lang.String strCalledBy)

      Set the Intended Recipient Name. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setIntendedRecipientName

          public void setIntendedRecipientName(XPN objIntendedRecipientName)

      Set the Intended Recipient Name. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s name.
      Parameters:
        `objIntendedRecipientBloodRelative` - object of Intended Recipient Name.

    - #### getIntendedRecipientDOB

          public DTM getIntendedRecipientDOB()

      Retrieves the Intended Recipient DOB. If this donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s date of birth.
      Returns:
        DTM - IntendedRecipientDOB

    - #### setIntendedRecipientDOB

          public void setIntendedRecipientDOB(java.lang.String strTime)

      Set the Intended Recipient DOB. If this donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s date of birth.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setIntendedRecipientDOB

          public void setIntendedRecipientDOB(DTM objIntendedRecipientDOB)

      Set the Intended Recipient DOB. If this donation has an intended recipient (autologous, directed, dedicated, designated), the intended recipient’s date of birth.
      Parameters:
        `objIntendedRecipientDOB` - Object of Intended Recipient DOB.

    - #### getIntendedRecipientFacility

          public XON getIntendedRecipientFacility()

      Retrieves the Intended Recipient Facility. If this donation has an intended recipient (autologous, directed, dedicated, designated), the facility where the intended recipient is expected to receive the transfusion.
      Returns:
        XON - Intended Recipient Facility.

    - #### setIntendedRecipientFacility

          public void setIntendedRecipientFacility(java.lang.String strOrganizationName,
                                          CWE objOrganizationNameTypeCode,
                                          HD objAssigningAuthority,
                                          java.lang.String strIdentifierTypeCode,
                                          HD objAssigningFacility,
                                          java.lang.String strNameRepresentationCode,
                                          java.lang.String strOrganizationIdentifier)

      Set the Intended Recipient Facility. If this donation has an intended recipient (autologous, directed, dedicated, designated), the facility where the intended recipient is expected to receive the transfusion.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### setIntendedRecipientFacility

          public void setIntendedRecipientFacility(XON objIntendedRecipientFacility)

      Set the Intended Recipient Facility. If this donation has an intended recipient (autologous, directed, dedicated, designated), the facility where the intended recipient is expected to receive the transfusion.
      Parameters:
        `objIntendedRecipientFacility` - Used as Intended Recipient Facility.

    - #### getIntendedRecipientProcedureDate

          public DTM getIntendedRecipientProcedureDate()

      Retrieves the Intended Recipient Procedure Date. If this donation has an intended recipient (autologous, directed, dedicated, designated), the date the intended recipient is expected to receive the transfusion.
      Returns:
        DTM - IntendedRecipientProcedureDate

    - #### setIntendedRecipientProcedureDate

          public void setIntendedRecipientProcedureDate(java.lang.String strTime)

      Set the Intended Recipient Procedure Date. If this donation has an intended recipient (autologous, directed, dedicated, designated), the date the intended recipient is expected to receive the transfusion.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setIntendedRecipientProcedureDate

          public void setIntendedRecipientProcedureDate(DTM objIntendedRecipientProcedureDate)

      Set the Intended Recipient Procedure Date. If this donation has an intended recipient (autologous, directed, dedicated, designated), the date the intended recipient is expected to receive the transfusion.
      Parameters:
        `objIntendedRecipientProcedureDate` - Object of Intended Recipient Procedure Date.

    - #### getIntendedRecipientOrderingProvider

          public XPN getIntendedRecipientOrderingProvider()

      Retrieves the Intended Recipient Ordering Provider. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the provider who ordered the directed donation for the intended recipient.
      Returns:
        XPN - IntendedRecipientOrderingProvider

    - #### setIntendedRecipientOrderingProvider

          public void setIntendedRecipientOrderingProvider(FN objFamilyName,
                                                  java.lang.String strGivenName,
                                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                                  java.lang.String strSuffix,
                                                  java.lang.String strPrefix,
                                                  java.lang.String strNameTypeCode,
                                                  java.lang.String strNameRepresentationCode,
                                                  CWE objNameContext,
                                                  java.lang.String strNameAssemblyOrder,
                                                  DTM objEffectiveDate,
                                                  DTM objExpirationDate,
                                                  java.lang.String strProfessionalSuffix,
                                                  java.lang.String strCalledBy)

      Set the Intended Recipient Ordering Provider. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the provider who ordered the directed donation for the intended recipient.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setIntendedRecipientOrderingProvider

          public void setIntendedRecipientOrderingProvider(XPN objIntendedRecipientOrderingProvider)

      Set the Intended Recipient Ordering Provider. If this is donation has an intended recipient (autologous, directed, dedicated, designated), the provider who ordered the directed donation for the intended recipient.
      Parameters:
        `objIntendedRecipientOrderingProvider` - object of Intended Recipient Ordering Provider.

    - #### getPhlebotomyStatus

          public CNE getPhlebotomyStatus()

      Retrieves the Phlebotomy Status. Whether the phlebotomy was successful, not drawn, or unsuccessful, and if unsuccessful, the extent to which it was unsuccessful.
      Returns:
        CNE - PhlebotomyStatus

    - #### setPhlebotomyStatus

          public void setPhlebotomyStatus(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionID,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameOfSecondAltenateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Phlebotomy Status. Whether the phlebotomy was successful, not drawn, or unsuccessful, and if unsuccessful, the extent to which it was unsuccessful.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setPhlebotomyStatus

          public void setPhlebotomyStatus(CNE objPhlebotomyStatus)

      Set the Phlebotomy Status. Whether the phlebotomy was successful, not drawn, or unsuccessful, and if unsuccessful, the extent to which it was unsuccessful.
      Parameters:
        `objPhlebotomyStatus` - Object of Phlebotomy Status.

    - #### getArmStick

          public CNE getArmStick()

      Retrieves the Arm Stick. The arm(s) stuck for the donation.
      Returns:
        CNE - ArmStick

    - #### setArmStick

          public void setArmStick(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionID,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameOfSecondAltenateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Arm Stick. The arm(s) stuck for the donation.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setArmStick

          public void setArmStick(CNE objArmStick)

      Set the Arm Stick. The arm(s) stuck for the donation.
      Parameters:
        `objArmStick` - Object of Arm Stick.

    - #### getBleedStartPhlebotomist

          public XPN getBleedStartPhlebotomist()

      Retrieves the Bleed Start Phlebotomist. The Phlebotomist who starts the blood flow into the container.
      Returns:
        XPN - BleedStartPhlebotomist

    - #### setBleedStartPhlebotomist

          public void setBleedStartPhlebotomist(FN objFamilyName,
                                       java.lang.String strGivenName,
                                       java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                       java.lang.String strSuffix,
                                       java.lang.String strPrefix,
                                       java.lang.String strNameTypeCode,
                                       java.lang.String strNameRepresentationCode,
                                       CWE objNameContext,
                                       java.lang.String strNameAssemblyOrder,
                                       DTM objEffectiveDate,
                                       DTM objExpirationDate,
                                       java.lang.String strProfessionalSuffix,
                                       java.lang.String strCalledBy)

      Set the Bleed Start Phlebotomist. The Phlebotomist who starts the blood flow into the container.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setBleedStartPhlebotomist

          public void setBleedStartPhlebotomist(XPN objBleedStartPhlebotomist)

      Set the Bleed Start Phlebotomist. The Phlebotomist who starts the blood flow into the container.
      Parameters:
        `objBleedStartPhlebotomist` - object of Bleed Start Phlebotomist.

    - #### getBleedEndPhlebotomist

          public XPN getBleedEndPhlebotomist()

      Retrieves the Bleed End Phlebotomist. The Phlebotomist who ends the blood flow into the container.
      Returns:
        XPN - BleedEndPhlebotomist

    - #### setBleedEndPhlebotomist

          public void setBleedEndPhlebotomist(FN objFamilyName,
                                     java.lang.String strGivenName,
                                     java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                     java.lang.String strSuffix,
                                     java.lang.String strPrefix,
                                     java.lang.String strNameTypeCode,
                                     java.lang.String strNameRepresentationCode,
                                     CWE objNameContext,
                                     java.lang.String strNameAssemblyOrder,
                                     DTM objEffectiveDate,
                                     DTM objExpirationDate,
                                     java.lang.String strProfessionalSuffix,
                                     java.lang.String strCalledBy)

      Set the Bleed End Phlebotomist. The Phlebotomist who ends the blood flow into the container.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setBleedEndPhlebotomist

          public void setBleedEndPhlebotomist(XPN objBleedEndPhlebotomist)

      Set the Bleed End Phlebotomist. The Phlebotomist who ends the blood flow into the container.
      Parameters:
        `objBleedEndPhlebotomist` - object of Bleed End Phlebotomist.

    - #### getAphaeresisTypeMachine

          public ST getAphaeresisTypeMachine()

      Retrieves the Aphaeresis Type Machine. The type of aphaeresis machine, if used, for the donation.
      Returns:
        String - AphaeresisTypeMachine

    - #### setContinuationPointer

          public void setContinuationPointer(java.lang.String strAphaeresisTypeMachine)

      Set the Aphaeresis Type Machine. The type of aphaeresis machine, if used, for the donation.
      Parameters:
        `strAphaeresisTypeMachine` - Contains the Aphaeresis Type Machine.

    - #### setAphaeresisTypeMachine

          public void setAphaeresisTypeMachine(ST objAphaeresisTypeMachine)

      Set the Aphaeresis Type Machine. The type of aphaeresis machine, if used, for the donation.
      Parameters:
        `objAphaeresisTypeMachine` - object of Aphaeresis Type Machine.

    - #### getAphaeresisMachineSerialNumber

          public ST getAphaeresisMachineSerialNumber()

      Retrieves the Aphaeresis Machine Serial Number. The type of aphaeresis machine, if used, for the donation. It will be the specific product name of the machine (e.g. Trima, Amicus, Alyx, Symal, etc.).
      Returns:
        String - AphaeresisMachineSerialNumber

    - #### setAphaeresisMachineSerialNumber

          public void setAphaeresisMachineSerialNumber(java.lang.String strAphaeresisMachineSerialNumber)

      Set the Aphaeresis Machine Serial Number. The type of aphaeresis machine, if used, for the donation. It will be the specific product name of the machine (e.g. Trima, Amicus, Alyx, Symal, etc.).
      Parameters:
        `strAphaeresisMachineSerialNumber` - Contains the Aphaeresis Machine Serial Number.

    - #### setAphaeresisMachineSerialNumber

          public void setAphaeresisMachineSerialNumber(ST objAphaeresisMachineSerialNumber)

      Set the Aphaeresis Machine Serial Number. The type of aphaeresis machine, if used, for the donation. It will be the specific product name of the machine (e.g. Trima, Amicus, Alyx, Symal, etc.).
      Parameters:
        `objAphaeresisMachineSerialNumber` - Object of Aphaeresis Machine Serial Number.

    - #### getDonorReaction

          public ID getDonorReaction()

      Retrieves the Donor Reaction. Did the donor have any adverse reaction during the donation procedure? Yes or No.
      Returns:
        String - IntendedRecipientBloodRelative

    - #### setDonorReaction

          public void setDonorReaction(java.lang.String strDonorReaction)

      Set the Donor Reaction. Did the donor have any adverse reaction during the donation procedure? Yes or No.
      Parameters:
        `strDonorReaction` - Used for Intended Recipient Blood Relative.

    - #### setDonorReaction

          public void setDonorReaction(ID objDonorReaction)

      Set the Donor Reaction. Did the donor have any adverse reaction during the donation procedure? Yes or No.
      Parameters:
        `objDonorReaction` - object of Donor Reaction.

    - #### getFinalReviewStaffID

          public XPN getFinalReviewStaffID()

      Retrieves the Final Review Staff ID. The Staff member conducting the final review and reconciliation of all documentation created during the collection process.
      Returns:
        XPN - FinalReviewStaffID

    - #### setFinalReviewStaffID

          public void setFinalReviewStaffID(FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   DTM objEffectiveDate,
                                   DTM objExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   java.lang.String strCalledBy)

      Set the Final Review Staff ID. The Staff member conducting the final review and reconciliation of all documentation created during the collection process.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### setFinalReviewStaffID

          public void setFinalReviewStaffID(XPN objIntendedRecipientOrderingProvider)

      Set the Final Review Staff ID. The Staff member conducting the final review and reconciliation of all documentation created during the collection process.
      Parameters:
        `objIntendedRecipientOrderingProvider` - object of Intended Recipient Ordering Provider.

    - #### getFinalReviewDateTime

          public DTM getFinalReviewDateTime()

      Retrieves the Final Review Date Time. The date and time a final review of all documentation and labeling of the blood material is completed.
      Returns:
        DTM - FinalReviewDateTime

    - #### setFinalReviewDateTime

          public void setFinalReviewDateTime(java.lang.String strTime)

      Set the Final Review Date Time. The date and time a final review of all documentation and labeling of the blood material is completed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setFinalReviewDateTime

          public void setFinalReviewDateTime(DTM objFinalReviewDateTime)

      Set the Final Review Date Time. The date and time a final review of all documentation and labeling of the blood material is completed.
      Parameters:
        `objFinalReviewDateTime` - Object of Final Review Date Time.

    - #### getNumberofTubesCollected

          public NM getNumberofTubesCollected()

      Retrieves the Number of Tubes Collected. The number of samples collected during the donation which will be used for subsequent testing.
      Returns:
        NM - NumberofTubesCollected

    - #### setNumberofTubesCollected

          public void setNumberofTubesCollected(java.lang.String strDonationDuration)

      Set the Number of Tubes Collected. The number of samples collected during the donation which will be used for subsequent testing.
      Parameters:
        `strDonationDuration` - Specifies Number of Tubes Collected.

    - #### setNumberofTubesCollected

          public void setNumberofTubesCollected(NM objNumberofTubesCollected)

      Set the Number of Tubes Collected. The number of samples collected during the donation which will be used for subsequent testing.
      Parameters:
        `objNumberofTubesCollected` - Object of Number of Tubes Collected.

    - #### getDonationSampleIdentifier

          public ISingleCollection<EI> getDonationSampleIdentifier()

      Retrieves the Donation Sample Identifier. The sample identifier for the sample collected during a donation for the purpose of testing. This is a field for sample or specimen identifiers.
      Returns:
        ISingleCollection - equipmentInstanceIdentifier

    - #### addDonationSampleIdentifier

          public void addDonationSampleIdentifier(java.lang.String strEntityIdentifier,
                                         java.lang.String strNamespaceId,
                                         java.lang.String strUniversalId,
                                         java.lang.String strUniversalIdType)

      Add the Donation Sample Identifier. The sample identifier for the sample collected during a donation for the purpose of testing. This is a field for sample or specimen identifiers.
      Parameters:
        `strEntityIdentifier` - Specifies entity identifier
        `strNamespaceId` - Specifies the NameSpace ID.
        `strUniversalId` - Specifies the Universal ID
        `strUniversalIdType` - Specifies the Universal ID type

    - #### addDonationSampleIdentifier

          public void addDonationSampleIdentifier(EI objDonationSampleIdentifier)

      Add the Donation Sample Identifier. The sample identifier for the sample collected during a donation for the purpose of testing. This is a field for sample or specimen identifiers.
      Parameters:
        `strEntityIdentifier` - Specifies entity identifier
        `strNamespaceId` - Specifies the NameSpace ID.
        `strUniversalId` - Specifies the Universal ID
        `strUniversalIdType` - Specifies the Universal ID type

    - #### setDonationSampleIdentifier

          public void setDonationSampleIdentifier(ISingleCollection<EI> objDonationSampleIdentifierList)

      Set the Donation Sample Identifier. The sample identifier for the sample collected during a donation for the purpose of testing. This is a field for sample or specimen identifiers.
      Parameters:
        `objDonationSampleIdentifierList` - List of DonationSampleIdentifier

    - #### getDonationAcceptStaff

          public XCN getDonationAcceptStaff()

      Retrieves the Donation Accept Staff. The staff member who reviewed all the intake materials, assessments and determined the donor can undergo a donation procedure at this time.
      Returns:
        XCN - DonationAcceptStaff.

    - #### setDonationAcceptStaff

          public void setDonationAcceptStaff(java.lang.String strIDNumber,
                                    FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    CWE objSourceTable,
                                    HD objAssigningAuthority,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strIdentifierCheckDigit,
                                    java.lang.String strCheckDigitScheme,
                                    java.lang.String strIdentifierTypeCode,
                                    HD objAssigningFacility,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    java.lang.String strEffectiveDate,
                                    java.lang.String strExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    CWE objAssigningJurisdiction,
                                    CWE objAssigningAgencyOrDepratment,
                                    java.lang.String strSecurityCheck,
                                    java.lang.String strSecurityCheckScheme)

      Set the Donation Accept Staff. The staff member who reviewed all the intake materials, assessments and determined the donor can undergo a donation procedure at this time.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setDonationAcceptStaff

          public void setDonationAcceptStaff(XCN objPerformingOrganizationMedicalDirector)

      Set the Donation Accept Staff. The staff member who reviewed all the intake materials, assessments and determined the donor can undergo a donation procedure at this time.
      Parameters:
        `objPerformingOrganizationMedicalDirector` - Used as Performing Organization Name.

    - #### getParticipationPerson

          public ISingleCollection<XCN> getParticipationPerson()

      Retrieves the Participation Person. This field contains the identity of the person who is represented in the participation that is being transmitted.
      Returns:
        ISingleCollection - participationPerson.

    - #### getDonationMaterialReviewStaff

          public ISingleCollection<XCN> getDonationMaterialReviewStaff()

      Retrieves the Donation Material Review Staff. The staff member who performs review on all documentation subsequent to donation procedure.
      Parameters:
        `objDonationMaterialReviewStaff` - Object of Donation Material Review Staff.

    - #### addDonationMaterialReviewStaff

          public void addDonationMaterialReviewStaff(java.lang.String strIDNumber,
                                            FN objFamilyName,
                                            java.lang.String strGivenName,
                                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                            java.lang.String strSuffix,
                                            java.lang.String strPrefix,
                                            CWE objSourceTable,
                                            HD objAssigningAuthority,
                                            java.lang.String strNameTypeCode,
                                            java.lang.String strIdentifierCheckDigit,
                                            java.lang.String strCheckDigitScheme,
                                            java.lang.String strIdentifierTypeCode,
                                            HD objAssigningFacility,
                                            java.lang.String strNameRepresentationCode,
                                            CWE objNameContext,
                                            java.lang.String strNameAssemblyOrder,
                                            java.lang.String strEffectiveDate,
                                            java.lang.String strExpirationDate,
                                            java.lang.String strProfessionalSuffix,
                                            CWE objAssigningJurisdiction,
                                            CWE objAssigningAgencyOrDepratment,
                                            java.lang.String strSecurityCheck,
                                            java.lang.String strSecurityCheckScheme)

      Add the Donation Material Review Staff. The staff member who performs review on all documentation subsequent to donation procedure.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addDonationMaterialReviewStaff

          public void addDonationMaterialReviewStaff(XCN objDonationMaterialReviewStaff)

      Add the Donation Material Review Staff. The staff member who performs review on all documentation subsequent to donation procedure.
      Parameters:
        `objDonationMaterialReviewStaff` - Object of Donation Material Review Staff.

    - #### setDonationMaterialReviewStaff

          public void setDonationMaterialReviewStaff(ISingleCollection<XCN> objParticipationPersonList)

      Set the Donation Material Review Staff. The staff member who performs review on all documentation subsequent to donation procedure.
      Parameters:
        `objDonationMaterialReviewStaffList` - List of Donation Material Review Staff.